#ifndef _DBUTILS_DAQCONFIG_PIXELPARAMETERLISTWRAPPER_H
#define _DBUTILS_DAQCONFIG_PIXELPARAMETERLISTWRAPPER_H

#include <boost/shared_ptr.hpp>
#include <string>
#include <vector>

namespace dbutils {
namespace daqconfig {

/**
 * Simple wrapper class for a list of pixel parameters.  The main
 * (and only?) reason for this class is to provide a way to compare
 * two lists for equality.
 * 
 * @author Kurt Biery
 * @version $Revision: 1.1 $ $Date: 2011/02/01 22:19:00 $
 */

class PixelParameterListWrapper {

 public:

    // ********************
    // *** Constructors ***
    // ********************

    PixelParameterListWrapper(boost::shared_ptr<std::vector<int16_t> > listPtr);

    // *****************
    // *** Accessors ***
    // *****************

    boost::shared_ptr<std::vector<int16_t> > getListPtr() {return _listPtr;}

    // *****************
    // *** Operators ***
    // *****************

    bool operator==(const PixelParameterListWrapper& other);
    bool operator!=(const PixelParameterListWrapper& other);

 private:

    boost::shared_ptr<std::vector<int16_t> > _listPtr;
};

};  // end of namespace daqconfig
};  // end of namespace dbutils

#endif
